Package: org.gmetrics.metric

## [Groovy] Enum MetricLevel

- org.gmetrics.metric.MetricLevel

- Enum representing the level at which a metric is applied - either method, class or package

  Authors:
    Chris Mair

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLASS` |
    `METHOD` |
    `PACKAGE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static List` | `getNames()`
    `` | `static MetricLevel` | `parse(String name)`
    `` | `static List<MetricLevel>` | `parseCommaSeparatedList(String names)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MetricLevel CLASS

    - #### MetricLevel METHOD

    - #### MetricLevel PACKAGE

  - ### Property Detail

    - #### final String name

  - ### Method Detail

    - #### static List getNames()

    - #### static MetricLevel parse(String name)

    - #### static List<MetricLevel> parseCommaSeparatedList(String names)

    - #### String toString()